---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# host-systemd-machined

## Synopsis


[Host with machine started in Systemd Machined environment.](https://www.freedesktop.org/wiki/Software/systemd/machined/)

## Basic variables

### General

#### network

| Parameter                                                                                                                                                                                                                 | Comment                       |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------|
| **[general.network.output_interface](dictionaries/21_machined.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Nom de l'interface de sortie. |

##### interfaces

This family is a leadership.

| Parameter                                                                                                                                                                                                                                               | Comments                          |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------|
| **[general.network.interfaces.interface_names](dictionaries/21_machined.xml)**<br/>mandatory, multiple<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)           | Nom de l'interface.               |
| **[general.network.interfaces.interface_ip](dictionaries/21_machined.xml)**<br/>mandatory<br/>**Type:** [`cidr`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                          | IP au format CIDR de l'interface. |
| **[general.network.interfaces.interface_gateway](dictionaries/21_machined.xml)**<br/>mandatory<br/>**Type:** [`ip`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                       | IP de la route par défaut.        |
| **[general.network.interfaces.interface_domain_name_servers](dictionaries/21_machined.xml)**<br/>mandatory, multiple<br/>**Type:** [`ip`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | IP des serveurs DNS.              |

## Variables

### General

| Parameter                                                                                                                                                                                                      | Comment                                                 |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------|
| **[general.vm_swappiness](dictionaries/21_machined.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Ajustement de la mémoire virtuelle.<br/>**Default:** 60 |

#### base

| Parameter                                                                                                                                                                                                       | Comment                                  |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------|
| **[general.base.time_zone](dictionaries/21_machined.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Time zone.<br/>**Default:** Europe/Paris |

#### network

##### interfaces

This family is a leadership.

| Parameter                                                                                                                                                                                                                          | Comments                                                               |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------|
| **[general.network.interfaces.interface_type](dictionaries/21_machined.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Type de la carte.<br/>**Choices:**<br/>- `dhcp` ← default<br/>- `ipv4` |


## Dependances

- [base](../base/README.md): Base of all application services.
