---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# loki

## Synopsis


[Loki, a log aggregation platform.](https://grafana.com/)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
loki:
  applicationservice: loki
  provider_zone: loki
  zones_name:
    - localdns
```

## Requirements services

### Mandatories

- [LocalDNS](../README.LocalDNS.md): DNS forwarder for local domain name.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-38](../base-fedora-38/README.md): Base information of a Fedora 38.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.

## Useful for service

[vector](../vector/README.md): Vector, a lightweight, ultra-fast tool for building observability pipelines.
