---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# php

## Synopsis


[PHP, a popular general-purpose scripting language.](https://secure.php.net/)



## Variables for expert

### General

#### PHP

Paramètrage avancé de PHP.

| Parameter                                                                                                                                                                                                                  | Comments                                                                                                                |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------|
| **[general.php.php_post_max_size](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)          | Maximum size of POST data that PHP will accept.<br/>Value in Mb.<br/>**Default:** 32                                    |
| **[general.php.php_upload_max_filesize](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | Maximum allowed size for uploaded files.<br/>Value in Mb.<br/>**Default:** 16                                           |
| **[general.php.php_max_execution_time](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | Maximum amount of time each script may spend parsing request data.<br/>Value in seconds.<br/>**Default:** 30            |
| **[general.php.php_max_input_time](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)         | Maximum amount of time each script may spend parsing request data.<br/>Value in seconds.<br/>**Default:** 60            |
| **[general.php.php_memory_limit](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)           | Maximum amount of memory a script may consume.<br/>Value in Mb.<br/>**Default:** 512                                    |
| **[general.php.php_session_gc_maxlifetime](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Data will be seen as 'garbage' and potentially cleaned up after this delay.<br/>Value in seconds.<br/>**Default:** 3600 |

## Used by

[php-fpm](../php-fpm/README.md)
