---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# postfix-relay

## Synopsis


[Postfix, the mail server, as relay.](http://www.postfix.org/)

The mail relay allows the various internal services to communicate with the other services.
It is also possible to receive from outside or send emails to the outside.

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
postfix-relay:
  applicationservice: postfix-relay
  provider_zone: smtp
  zones_name:
    - externaldns
```

## Basic variables

### General

#### Postfix mail server

| Parameter                                                                                                                                                                                                                    | Comments                                                                                                                                                                                                                                                                                       |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **[general.postfix.postfix_mail_hostname](dictionaries/30_postfix.xml)**<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)          | External email server domain name.<br/>This variable is mandatory if mail server needs to interact with external area.                                                                                                                                                                         |
| **[general.postfix.postfix_crt_provider](dictionaries/30_postfix.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Type of certificate autority signing external certificate.<br/>The certificate can be self-signed (therefore invalid by default for the client) or obtained via the Let's Encrypt service (generally valid for the client).<br/>**Choices:**<br/>- `self-signed` ← default<br/>- `letsencrypt` |



## Requirements services

### Mandatories

- [ExternalDNS](../README.ExternalDNS.md): DNS forwarder for all DNS zones.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-35](../base-fedora-35/README.md): Base information of a Fedora 35.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.
- [dns-external](../dns-external/README.md): DNS client with resolution on all zones (especially outside).
- [postfix-lmtp-relay](../postfix-lmtp-relay/README.md): Postfix, the mail server, as LMTP relay.

## Useful for services

- [dovecot](../dovecot/README.md): Postfix and Dovecot as mail servers (IMAP and submission).
- [forgejo](../forgejo/README.md): Forgejo, a community managed lightweight code hosting solution.
- [gitea](../gitea/README.md): Transitional package for Gitea to Forgejo.
- [grafana](../grafana/README.md): Grafana is an analytics and interactive visualization web application.
- [lemonldap](../lemonldap/README.md): LemonLDAP, a Web Single Sign On and Access Management.
- [mailman](../mailman/README.md): GNU Mailman, managing electronic mail discussion and e-newsletter lists.
- [nextcloud](../nextcloud/README.md): Nextcloud, Online collaboration platform.
- [odoo](../odoo/README.md): Odoo, an ERP and CRM.
- [peertube](../peertube/README.md): Peertube, a federated (ActivityPub) video streaming platform.
- [piwigo](../piwigo/README.md): Piwigo, a photo management software.
- [vaultwarden](../vaultwarden/README.md): Vaultwarden, a password manager.
