---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# postgresql

## Synopsis


[Postgresql, a database.](https://www.postgresql.org)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
postgresql:
  applicationservice: postgresql
  provider_zone: postgresql
  zones_name:
    - localdns
```


## Variables

### General

#### PostgreSQL

Paramétrage du serveur de gestion de bases de données PostgreSQL.

| Parameter                                                                                                                                                                                                                                  | Comments                                                                                                                                                                                             |
|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **[general.postgresql.pg_max_connections](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)           | Nombre maximum de connexions.<br/>Nombre maximum de connexions concurrentes au serveur de base de données.<br/>**Default:** 100                                                                      |
| **[general.postgresql.pg_authentication_timeout](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | Délai de connexion maximum (en secondes).<br/>Temps maximum pour terminer l'authentification du client.<br/>**Default:** 60                                                                          |
| **[general.postgresql.pg_server_key](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`filename`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)              | Emplacement de la clé SSL du serveur PostgreSQL.<br/>**Default:** /etc/postgresql/12/main/server.key                                                                                                 |
| **[general.postgresql.pg_server_cert](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`filename`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)             | Emplacement du certificat du serveur PostgreSQL.<br/>**Default:** /etc/postgresql/12/main/server.crt                                                                                                 |
| **[general.postgresql.pg_autovacuum](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`boolean`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)               | Activer le VACUUM automatique.<br/>**Default:** True                                                                                                                                                 |
| **[general.postgresql.pg_work_mem](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                  | Mémoire tampon allouée aux opérations de tri et tables de hash.<br/>Quantité de mémoire allouée à chaque opération avant écriture sur le disque (par défaut : 4MB).<br/>**Default:** 4               |
| **[general.postgresql.pg_work_mem_unit](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)             | Unité de la mémoire tampon.<br/>**Choices:**<br/>- `MB` ← default<br/>- `kB`                                                                                                                         |
| **[general.postgresql.pg_maintenance_work_mem](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | Mémoire tampon allouée pour les opérations de maintenance.<br/>Quantité de mémoire allouée à chaque opération avant écriture sur le disque (par défaut : 64MB, minimum: 1024kB).<br/>**Default:** 64 |
| **[general.postgresql.pg_maintenance_work_mem_unit](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Unité de la mémoire tampon.<br/>**Choices:**<br/>- `MB` ← default<br/>- `kB`                                                                                                                         |
| **[general.postgresql.pg_wal_buffers](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)               | Mémoire tampon allouée pour les journaux.<br/>Quantité de mémoire allouée avant écriture sur le disque (par défaut : -1, soit 1/32ème de la valeur de shared_buffers).<br/>**Default:** -1           |
| **[general.postgresql.pg_max_wal_size](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)              | Limite douce du Write Ahead Log.<br/>Limite douce pour le Write Ahead Log.<br/>**Default:** 1                                                                                                        |
| **[general.postgresql.pg_max_wal_size_unit](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)         | Unité de la limite douce du Write Ahead Log.<br/>**Choices:**<br/>- `GB` ← default<br/>- `MB`<br/>- `kB`                                                                                             |
| **[general.postgresql.pg_shared_buffers](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)            | Quantité de mémoire pour les buffers partagés.<br/>Quantité de mémoire que le serveur de bases de données utilise comme mémoire partagée.<br/>**Default:** 128                                       |
| **[general.postgresql.pg_shared_buffers_unit](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)       | Unité de la quantité de mémoire pour les buffers partagés.<br/>**Choices:**<br/>- `MB` ← default<br/>- `kB`                                                                                          |
| **[general.postgresql.pg_effective_cache_size](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | Taille du cache.<br/>Initialise l'estimation faite par le planificateur pour le nombre de bloc de 8ko réelle du cache disque disponible pour une requête.<br/>**Default:** 4                         |
| **[general.postgresql.pg_effective_cache_size_unit](dictionaries/22_postgresql.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Unité de la taille du cache.<br/>**Choices:**<br/>- `MB`<br/>- `kB`<br/>- `GB` ← default                                                                                                             |


## Requirements services

### Mandatories

- [LocalDNS](../README.LocalDNS.md): DNS forwarder for local domain name.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-37](../base-fedora-37/README.md): Base information of a Fedora 37.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.

## Useful for services

- [forgejo](../forgejo/README.md): Forgejo, a community managed lightweight code hosting solution.
- [gitea](../gitea/README.md): Transitional package for Gitea to Forgejo.
- [grafana](../grafana/README.md): Grafana is an analytics and interactive visualization web application.
- [mailman](../mailman/README.md): GNU Mailman, managing electronic mail discussion and e-newsletter lists.
- [nextcloud](../nextcloud/README.md): Nextcloud, Online collaboration platform.
- [odoo](../odoo/README.md): Odoo, an ERP and CRM.
- [peertube](../peertube/README.md): Peertube, a federated (ActivityPub) video streaming platform.
- [roundcube](../roundcube/README.md): Roundcube, a webmail.
- [vaultwarden](../vaultwarden/README.md): Vaultwarden, a password manager.
