---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# redis

## Synopsis


[Redis, an in-memory data structure store.](https://redis.io/)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
redis:
  applicationservice: redis
  provider_zone: redis
  zones_name:
    - localdns
```


## Variables

### General

#### Redis

Configuration du service de cache Redis.

| Parameter                                                                                                                                                                                                               | Comments                                                                                                                                                                                                                                                             |
|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **[general.redis.redis_instance_name](dictionaries/90_redis.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Nom de l'instance.<br/>**Default:** *calculated*                                                                                                                                                                                                                     |
| **[general.redis.redis_save](dictionaries/90_redis.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)          | Activer la persistence des données.<br/>**Default:** False                                                                                                                                                                                                           |
| **[general.redis.redis_max_memory](dictionaries/90_redis.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | Quantité de mémoire utilisable par Redis.<br/>La valeur est en Mo.<br/>**Default:** 512                                                                                                                                                                              |
| **[general.redis.redis_memory_policy](dictionaries/90_redis.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Méthode de libération de mémoire lorsque le maximum est atteint.<br/>**Choices:**<br/>- `volatile-lru`<br/>- `allkeys-lru`<br/>- `volatile-lfu`<br/>- `allkeys-lfu`<br/>- `volatile-random`<br/>- `allkeys-random`<br/>- `volatile-ttl`<br/>- `noeviction` ← default |
| **[general.redis.redis_tcp_keepalive](dictionaries/90_redis.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Intervalle entre le dernier envoi de paquet TCP et la réponse ACK.<br/>La valeur est en seconde.<br/>**Default:** 300                                                                                                                                                |
| **[general.redis.redis_max_clients](dictionaries/90_redis.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | Nombre de client maximum autorisé.<br/>**Default:** 10000                                                                                                                                                                                                            |


## Requirements services

### Mandatories

- [LocalDNS](../README.LocalDNS.md): DNS forwarder for local domain name.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-38](../base-fedora-38/README.md): Base information of a Fedora 38.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.
- [redis-common](../redis-common/README.md): Redis, an in-memory data structure store.

## Useful for services

- [forgejo](../forgejo/README.md): Forgejo, a community managed lightweight code hosting solution.
- [gitea](../gitea/README.md): Transitional package for Gitea to Forgejo.
- [nextcloud](../nextcloud/README.md): Nextcloud, Online collaboration platform.
- [peertube](../peertube/README.md): Peertube, a federated (ActivityPub) video streaming platform.
- [piwigo](../piwigo/README.md): Piwigo, a photo management software.
- [roundcube](../roundcube/README.md): Roundcube, a webmail.
