---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# roundcube

## Synopsis


[Roundcube, a webmail.](https://roundcube.net/)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
roundcube:
  applicationservice: roundcube
  zones_name:
    - imap
    - ldap
    - localdns
    - oauth2
    - postgresql
    - redis
    - reverseproxy
  values:
    general.roundcube.roundcube_domain.roundcube_domains:
      - webmail.example.net
    general.roundcube.roundcube_domain.roundcube_mail_domain:
      '0': mail.example.net
```

## Basic variables

### General

#### Interface web de consultation des courriels Roundcube

##### roundcube_domain

This family is a leadership.

| Parameter                                                                                                                                                                                                                                                    | Comments                                                                  |
|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------|
| **[general.roundcube.roundcube_domain.roundcube_domains](dictionaries/31_roundcube.xml)**<br/>mandatory, multiple<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Nom de domaines d'accès à Roundcube.<br/>**Example:** webmail.example.net |
| **[general.roundcube.roundcube_domain.roundcube_mail_domain](dictionaries/31_roundcube.xml)**<br/>mandatory<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)       | Nom de domaines des courriels.<br/>**Example:** mail.example.net          |

## Variables

### General

#### OAuth2 client

| Parameter                                                                                                                                                                                                                                 | Comment                                                                                                                 |
|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------|
| **[general.oauth2_client.oauth2_client_name](dictionaries/31_roundcube.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)        | OAuth2 client name.<br/>**Default:** Courriel<br/>**Example:** example                                                  |
| **[general.oauth2_client.oauth2_client_description](dictionaries/31_roundcube.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | OAuth2 client description.<br/>**Default:** Consulter ces courriels avec Roundcube<br/>**Example:** Example description |
| **[general.oauth2_client.oauth2_client_login](dictionaries/30_oauth2_client.xml)**<br/>**Type:** [`web_address`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)            | OAuth2 URL to valid login.                                                                                              |

##### external

| Parameter                                                                                                                                                                                                                                                      | Comments                                              |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------|
| **[general.oauth2_client.external.oauth2_client_external](dictionaries/31_roundcube.xml)**<br/>mandatory, multiple<br/>**Type:** [`web_address`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | OAuth2 client external.<br/>**Default:** *calculated* |
| **[general.oauth2_client.external.oauth2_client_family](dictionaries/31_roundcube.xml)**<br/>multiple<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                   | OAuth2 family.<br/>**Default:** *calculated*          |

| Parameter                                                                                                                                                                                                                              | Comment                                         |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------|
| **[general.oauth2_client.oauth2_client_category](dictionaries/31_roundcube.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | OAuth2 category.<br/>**Default:** Diffusion     |
| **[general.oauth2_client.oauth2_client_logo](dictionaries/31_roundcube.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | OAuth2 logo.<br/>**Default:** silique_email.png |

#### Interface web de consultation des courriels Roundcube

##### roundcube_domain

This family is a leadership.

| Parameter                                                                                                                                                                                                                          | Comments           |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------|
| **[general.roundcube.roundcube_domain.roundcube_family](dictionaries/31_roundcube.xml)**<br/>**Type:** [`unix_user`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Nom de la famille. |

## Variables for expert

### General

#### PHP

Paramètrage avancé de PHP.

| Parameter                                                                                                                                                                                                                  | Comment                                                                                                                 |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------|
| **[general.php.php_post_max_size](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)          | Maximum size of POST data that PHP will accept.<br/>Value in Mb.<br/>**Default:** 32                                    |
| **[general.php.php_upload_max_filesize](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | Maximum allowed size for uploaded files.<br/>Value in Mb.<br/>**Default:** 16                                           |
| **[general.php.php_max_execution_time](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | Maximum amount of time each script may spend parsing request data.<br/>Value in seconds.<br/>**Default:** 30            |
| **[general.php.php_max_input_time](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)         | Maximum amount of time each script may spend parsing request data.<br/>Value in seconds.<br/>**Default:** 60            |
| **[general.php.php_memory_limit](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)           | Maximum amount of memory a script may consume.<br/>Value in Mb.<br/>**Default:** 512                                    |
| **[general.php.php_session_gc_maxlifetime](dictionaries/20_php.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Data will be seen as 'garbage' and potentially cleaned up after this delay.<br/>Value in seconds.<br/>**Default:** 3600 |

#### NGINX

| Parameter                                                                                                                                                                                                                  | Comment                                                                                                        |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------|
| **[general.nginx.nginx_hash_bucket_size](dictionaries/21_nginx.xml)**<br/>mandatory<br/>**Type:** [`choice`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | The bucket size for the server names hash tables.<br/>**Choices:**<br/>- `128` ← default<br/>- `64`<br/>- `32` |
| **[general.nginx.nginx_post_max_size](dictionaries/21_nginx.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | The maximum allowed size of the client request body.<br/>This value is in Mb.<br/>**Default:** 32              |



## Requirements services

### Mandatories

- [LocalDNS](../README.LocalDNS.md): DNS forwarder for local domain name.
- [LDAP](../README.LDAP.md): Create account and connexion to a LDAP server.
- [ReverseProxy](../README.ReverseProxy.md): Register to service to a reverse proxy server.
- [Postgresql](../README.Postgresql.md): Create account and connexion to a PostgreSQL server.
- [OAuth2](../README.OAuth2.md): Remote clients needing to verify OAuth2 account.
- [Redis](../README.Redis.md): Create account and connexion to a Redis server.
- [IMAP](../README.IMAP.md): IMAP server connexion.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-36](../base-fedora-36/README.md): Base information of a Fedora 36.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.
- [postgresql-client](../postgresql-client/README.md): Application service needs interact with a Postgresql server.
- [imap-client](../imap-client/README.md): Application service needs interact with an IMAP server.
- [redis-client](../redis-client/README.md): Application service needs interact with a Redis server.
  - [redis-common](../redis-common/README.md): Redis, an in-memory data structure store.
- [oauth2-client](../oauth2-client/README.md): Application service needs interact with a Oauth2 server.
- [nginx-https](../nginx-https/README.md): Nginx as HTTPS web site.
  - [nginx-common](../nginx-common/README.md): Nginx common configuration.
  - [reverse-proxy-client](../reverse-proxy-client/README.md): Application service needs interact with a a reverse proxy server.
- [php-fpm](../php-fpm/README.md): PHP FPM.
  - [php](../php/README.md): PHP, a popular general-purpose scripting language.
- [ldap-client](../ldap-client/README.md): Application service needs interact with a LDAP server.
