---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# unbound

## Synopsis


[Unbound, a validating, recursive, caching DNS resolver.](https://www.nlnetlabs.nl/projects/unbound/about/)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
unbound:
  applicationservice: unbound
  provider_zone: externaldns
  values:
    general.dns_resolver.unbound_default_forwards:
      - 9.9.9.9
```

## Basic variables

### General

#### Résolveur DNS

| Parameter                                                                                                                                                                                                                                       | Comments                                                   |
|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------|
| **[general.dns_resolver.unbound_default_forwards](dictionaries/20_unbound.xml)**<br/>mandatory, multiple<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Serveur résolveur DNS par défaut.<br/>**Example:** 9.9.9.9 |



## Requirements services

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [dns-external](../dns-external/README.md): DNS client with resolution on all zones (especially outside).
- [base-fedora-37](../base-fedora-37/README.md): Base information of a Fedora 37.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.

## Useful for services

- [nsd-local](../nsd-local/README.md): NSD, an authoritative DNS name server for local resolution.
- [peertube](../peertube/README.md): Peertube, a federated (ActivityPub) video streaming platform.
- [postfix-relay](../postfix-relay/README.md): Postfix, the mail server, as relay.
- [znc](../znc/README.md): ZNC, a bouncer IRC.
