---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# vaultwarden

## Synopsis


[Vaultwarden, a password manager.](https://github.com/dani-garcia/vaultwarden)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
vaultwarden:
  applicationservice: vaultwarden
  zones_name:
    - localdns
    - postgresql
    - reverseproxy
    - smtp
  values:
    general.vaultwarden.vaultwarden_domainname: vault.example.net
    general.vaultwarden.vaultwarden_admin_email: admin@example.net
```

## Basic variables

### General

#### Vaultwarden

| Parameter                                                                                                                                                                                                                                  | Comments                                                                      |
|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------|
| **[general.vaultwarden.vaultwarden_domainname](dictionaries/40_vaultwarden.xml)**<br/>mandatory<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Nom de domaine d'accès à Vaultwarden.<br/>**Example:** vault.example.net      |
| **[general.vaultwarden.vaultwarden_admin_email](dictionaries/40_vaultwarden.xml)**<br/>mandatory<br/>**Type:** [`mail`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | Adresse courriel de l'utilisateur Risotto.<br/>**Example:** admin@example.net |

## Variables

### General

#### Vaultwarden

| Parameter                                                                                                                                                                                                                               | Comments                                                                            |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------|
| **[general.vaultwarden.password_admin_username](dictionaries/40_vaultwarden.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Nom de l'utilisateur Risotto de Vaultwarden.<br/>**Default:** risotto               |
| **[general.vaultwarden.vaultwarden_length](dictionaries/40_vaultwarden.xml)**<br/>mandatory<br/>**Type:** [`number`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | Taille par défaut du mot de passe.<br/>**Default:** 20                              |
| **[general.vaultwarden.vaultwarden_org_name](dictionaries/40_vaultwarden.xml)**<br/>mandatory<br/>**Type:** [`string`](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    | Nom de l'organisation lors de l'envoi des invitations.<br/>**Default:** Vaultwarden |


## Requirements services

### Mandatories

- [LocalDNS](../README.LocalDNS.md): DNS forwarder for local domain name.
- [SMTP](../README.SMTP.md): Create a SMTP relay account and authorize sending email.
- [ReverseProxy](../README.ReverseProxy.md): Register to service to a reverse proxy server.
- [Postgresql](../README.Postgresql.md): Create account and connexion to a PostgreSQL server.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-36](../base-fedora-36/README.md): Base information of a Fedora 36.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.
- [postgresql-client](../postgresql-client/README.md): Application service needs interact with a Postgresql server.
- [relay-mail-client](../relay-mail-client/README.md): Client SMTP.
- [reverse-proxy-client](../reverse-proxy-client/README.md): Application service needs interact with a a reverse proxy server.
