---
gitea: none
include_toc: true
---


[Return to the list of application services.](../README.md)
# vector

## Synopsis


[Vector, a lightweight, ultra-fast tool for building observability pipelines.](https://vector.dev/)

## Example

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

```
vector:
  applicationservice: vector
  provider_zone: vector
  zones_name:
    - localdns
    - loki
```

## Requirements services

### Mandatories

- [LocalDNS](../README.LocalDNS.md): DNS forwarder for local domain name.
- [Loki](../README.Loki.md): Concentrate log messages.

### Optionals

- [Journald](../README.Journald.md): Concentrate journal messages on one host.

## Dependances

- [base-fedora-38](../base-fedora-38/README.md): Base information of a Fedora 38.
  - [base-fedora](../base-fedora/README.md): Base information of a Fedora.
    - [systemd](../systemd/README.md): Systemd, a system and service manager.
      - [base-machine](../base-machine/README.md): Base information for a machine.
        - [base](../base/README.md): Base of all application services.
        - [dns-local](../dns-local/README.md): DNS client with access to local zones.
        - [pki-tls](../pki-tls/README.md): Autosign PKI or Let's encrypt support for TLS certificates.
      - [journald](../journald/README.md): Journald.
      - [resolved](../resolved/README.md): Resolved.
- [journald_remote](../journald_remote/README.md): Journald remote.

## Useful for services

- [dovecot](../dovecot/README.md): Postfix and Dovecot as mail servers (IMAP and submission).
- [forgejo](../forgejo/README.md): Forgejo, a community managed lightweight code hosting solution.
- [gitea](../gitea/README.md): Transitional package for Gitea to Forgejo.
- [grafana](../grafana/README.md): Grafana is an analytics and interactive visualization web application.
- [lemonldap](../lemonldap/README.md): LemonLDAP, a Web Single Sign On and Access Management.
- [loki](../loki/README.md): Loki, a log aggregation platform.
- [mailman](../mailman/README.md): GNU Mailman, managing electronic mail discussion and e-newsletter lists.
- [mariadb](../mariadb/README.md): MariaDB, a relational database.
- [nextcloud](../nextcloud/README.md): Nextcloud, Online collaboration platform.
- [nginx-reverse-proxy](../nginx-reverse-proxy/README.md): Nginx as reverse proxy.
- [nginx-static](../nginx-static/README.md): Nginx as static web site.
- [nsd](../nsd/README.md): NSD, an authoritative DNS name server.
- [nsd-local](../nsd-local/README.md): NSD, an authoritative DNS name server for local resolution.
- [odoo](../odoo/README.md): Odoo, an ERP and CRM.
- [openldap](../openldap/README.md): OpenLDAP, the LDAP server.
- [peertube](../peertube/README.md): Peertube, a federated (ActivityPub) video streaming platform.
- [piwigo](../piwigo/README.md): Piwigo, a photo management software.
- [postfix-relay](../postfix-relay/README.md): Postfix, the mail server, as relay.
- [postgresql](../postgresql/README.md): Postgresql, a database.
- [prometheus](../prometheus/README.md): Prometheus, an event monitoring.
- [redis](../redis/README.md): Redis, an in-memory data structure store.
- [roundcube](../roundcube/README.md): Roundcube, a webmail.
- [speedtest-rs](../speedtest-rs/README.md): Speedtest-rs, a very lightweight Speedtest.
- [unbound](../unbound/README.md): Unbound, a validating, recursive, caching DNS resolver.
- [vaultwarden](../vaultwarden/README.md): Vaultwarden, a password manager.
- [vector](../vector/README.md): Vector, a lightweight, ultra-fast tool for building observability pipelines.
- [znc](../znc/README.md): ZNC, a bouncer IRC.
